local b = require('base16')

-- italic comments if supported
local set_hl = require("helpers.highlight")
set_hl("Comment", {gui = "italic"})
vim.api.nvim_set_var('gruvbox_italic', 1)
vim.api.nvim_set_var('one_allow_italics', 1)
vim.api.nvim_set_var('pencil_terminal_italics', 1)

function B16theme(theme)
    local base16scheme = b.themes[theme]
    b(base16scheme, true)
end

-- set the default colorscheme
B16theme('eighties')
